/* Most constants. Load first to avoid conflict. */
var tongwenVersion = "0.2.0";
var SIMFLAG = 'simplified';
var TRAFLAG = 'traditional';
var ZHENCODINGONLY = false;
var OPPCHARSETONLY = false;
var DEBUG = "off";

var FRAMEDEEP = 18; // Recursive frame/iframe deep.
var zh_encodes = { // Possible Chinese encoding.
	"cn": {"GB2312":1, "x-gbk":1, "gb18030":1, 
	       "HZ-GB-2312":1, "ISO-2022-CN":1},
	"tw": {"Big5":1, "x-euc-tw":1},
	"hk": {"Big5-HKSCS":1}
    };
/* Possible encoding that has Chinese content. */
var zh_all = {"GB2312":1, "x-gbk":1, "gb18030":1, 
              "HZ-GB-2312":1, "ISO-2022-CN":1,
              "Big5":1, "x-euc-tw":1, "Big5-HKSCS":1,
	      "UTF-7":1, "UTF-8":1, "UTF-16LE":1,
	      "x-user-defined":1};

function myalert(astr) {
    try{
	if (DEBUG == "off" || DEBUG=="false")
	    return;

	var dlevel = (arguments.length == 2) ? arguments[1]: "all";
	if (DEBUG == "all" || DEBUG == dlevel) {
	    alert(astr);
	}
    }catch(e){alert(e);}
}
